From ac9e5174cd25b89490b589d0587f57c1917a5a6c Mon Sep 17 00:00:00 2001
From: jiad <jiad@codeaurora.org>
Date: Mon, 16 Oct 2017 11:29:41 +0800
Subject: [PATCH] x86-kernel: reserve CMA memory space under 4G

When bringing up napier, we're seeing MHI SYS_ERR.
By debugging, reason should be host is sending
FW memory physical address over 4G space as a
response to REQUEST_MEM QMI event.

Fix is to reserve CMA under 4G so that FW memory
allocated is under 4G. This solves MHI SYS_ERR
and napier is able to scan/connect/ping.
---
 arch/x86/kernel/setup.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/arch/x86/kernel/setup.c b/arch/x86/kernel/setup.c
index 08f7aaf..13be699 100644
--- a/arch/x86/kernel/setup.c
+++ b/arch/x86/kernel/setup.c
@@ -1171,7 +1171,7 @@ void __init setup_arch(char **cmdline_p)
 	early_acpi_boot_init();
 
 	initmem_init();
-	dma_contiguous_reserve(max_pfn_mapped << PAGE_SHIFT);
+	dma_contiguous_reserve(max_low_pfn_mapped << PAGE_SHIFT);
 
 	/*
 	 * Reserve memory for crash kernel after SRAT is parsed so that it
-- 
2.7.4

